Skip to content

Create an organization and its first admin

POST
/api/auth/signup
curl --request POST \
--url https://api.getvespy.com/api/auth/signup \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "fullName": "example", "organizationName": "example", "password": "example", "portfolioType": "residential" }'
Media typeapplication/json
object
email
required
string format: email
fullName
required
string
>= 1 characters <= 160 characters
organizationName
required
string
>= 1 characters <= 160 characters
password
required
string
>= 8 characters <= 200 characters
portfolioType

Commercial and mixed portfolios start with commercial features enabled.

string
default: residential
Allowed values: residential commercial mixed

Default Response

Media typeapplication/json
object
accessToken
required
string
expiresIn
required
integer
>= 1
tokenType
required
string
Allowed values: Bearer
user
required
object
email
required
string format: email
emailConsentAt
required
string format: date-time
nullable
emailVerifiedAt
required
string format: date-time
nullable
fullName
required
string
id
required
string format: uuid
isSuperadmin
required
boolean
organizationId
required
string format: uuid
phone
required
string
nullable
role
required
string
Allowed values: admin manager staff tenant owner vendor
smsConsentAt
required
string format: date-time
nullable
vendorId
required
string format: uuid
nullable
Example
{
"tokenType": "Bearer",
"user": {
"role": "admin"
}
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}